> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.biblioreads.eu.org/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.biblioreads.eu.org/_mcp/server.

# editions-scraper

POST https://biblioreads.eu.org/api/works/editions
Content-Type: application/json

## Editions Scraper

Scrapes all available editions of a specific book work from its Goodreads editions page using a direct work editions URL. Returns structured metadata about each edition including format, language, publisher, and ISBN details.

***

## Request

**Method:** `POST`\
**URL:** `{{Instance Domain}}/api/works/editions`

### Headers

| Key          | Value            | Description                        |
| ------------ | ---------------- | ---------------------------------- |
| Content-Type | application/json | Indicates the request body is JSON |

### Body

| Field    | Type   | Required | Description                                                                                        |
| -------- | ------ | -------- | -------------------------------------------------------------------------------------------------- |
| queryURL | string | Yes      | The full Goodreads work editions page URL (e.g. `https://www.goodreads.com/work/editions/1540236`) |

**Example Body:**

```json
{
  "queryURL": "https://www.goodreads.com/work/editions/1540236"
}
```

***

## Response

### 200 Success

Returns a JSON object containing all editions of the specified book work.

```json
{
  "status": "Received",
  "statusCode": 200,
  ...
}
```

### Response Field Descriptions

| Field                  | Type   | Description                                              |
| ---------------------- | ------ | -------------------------------------------------------- |
| status                 | string | Human-readable status message                            |
| statusCode             | number | HTTP status code of the scrape operation                 |
| scrapeURL              | string | The Goodreads URL that was scraped                       |
| editions               | array  | List of editions of the book                             |
| editions\[].title      | string | Title of the edition                                     |
| editions\[].format     | string | Format of the edition (e.g. Hardcover, Paperback, ebook) |
| editions\[].language   | string | Language the edition is published in                     |
| editions\[].publisher  | string | Publisher of the edition                                 |
| editions\[].isbn       | string | ISBN identifier for the edition                          |
| editions\[].coverImage | string | URL of the edition cover image                           |

Reference: https://docs.biblioreads.eu.org/api-endpoints/works/editions-scraper

## Request

### Body (application/json)

- `queryURL` (string, required)

## Response

### 200

OK

- `status` (string, required)
- `source` (string, required)
- `scrapeURL` (string, required)
- `book` (string, required)
- `bookURL` (string, required)
- `author` (string, required)
- `authorURL` (string, required)
- `firstPublished` (string, required)
- `editions` (list of object, required)
  - `id` (integer, required)
  - `cover` (string, required)
  - `title` (string, required)
  - `url` (string, required)
  - `publishDate` (string, required)
  - `editionInfo` (string, required)
  - `rating` (string, required)
  - `ISBN` (string, required)
  - `ASIN` (string, required)
  - `editionLanguage` (string, required)
- `lastScraped` (datetime, required)

## Examples

**Request**

```json
{
  "queryURL": "https://www.goodreads.com/work/editions/1540236"
}
```

**Response**

```json
{
  "status": "Received",
  "source": "https://github.com/nesaku/biblioreads",
  "scrapeURL": "https://www.goodreads.com/work/editions/1540236",
  "book": "The Hobbit, or There and Back Again",
  "bookURL": "/book/show/5907.The_Hobbit_or_There_and_Back_Again",
  "author": "J.R.R. Tolkien",
  "authorURL": "/author/show/656983.J_R_R_Tolkien",
  "firstPublished": "\n        First published September 21st 1937\n      ",
  "editions": [
    {
      "id": 1,
      "cover": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/books/1546071216l/5907._SY75_.jpg",
      "title": "The Hobbit, or There and Back Again (Paperback)",
      "url": "/book/show/5907.The_Hobbit_or_There_and_Back_Again",
      "publishDate": "\n            Published August 15th 2002\n              by Houghton Mifflin\n          ",
      "editionInfo": "\n          Paperback, 366 pages\n        ",
      "rating": "\n              4.29\n              \n                (4,213,716 ratings)\n              \n            ",
      "ISBN": "",
      "ASIN": "\n                B0DN8P5BQF\n              ",
      "editionLanguage": "\n                English\n              "
    },
    {
      "id": 2,
      "cover": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/books/1519739410l/38819529._SY75_.jpg",
      "title": "The Hobbit (Middle Earth, #0)",
      "url": "/book/show/38819529-the-hobbit",
      "publishDate": "\n            Published February 15th 2012\n              by Houghton Mifflin Harcourt\n          ",
      "editionInfo": "\n          75th Anniversary Edition, Kindle Edition, 297 pages\n        ",
      "rating": "\n              4.48\n              \n                (32,940 ratings)\n              \n            ",
      "ISBN": "",
      "ASIN": "\n                B0079KT81G\n              ",
      "editionLanguage": "\n                English\n              "
    },
    {
      "id": 3,
      "cover": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/books/1390804912l/13512170._SY75_.jpg",
      "title": "The Hobbit (ebook)",
      "url": "/book/show/13512170-the-hobbit",
      "publishDate": "\n            Published February 12th 2012\n              by Houghton Mifflin Harcourt\n          ",
      "editionInfo": "\n          ebook, 322 pages\n        ",
      "rating": "\n              4.47\n              \n                (19,263 ratings)\n              \n            ",
      "ISBN": "",
      "ASIN": "\n                B0DWTRC2VL\n              ",
      "editionLanguage": "\n                English\n              "
    },
    {
      "id": 4,
      "cover": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/books/1738628304l/227221._SY75_.jpg",
      "title": "El hobbit (Paperback)",
      "url": "/book/show/227221.El_hobbit",
      "publishDate": "\n            Published December 2001\n              by Distal S R L\n          ",
      "editionInfo": "\n          Translation, Paperback, 310 pages\n        ",
      "rating": "\n              4.28\n              \n                (14,417 ratings)\n              \n            ",
      "ISBN": "\n                  9789505470631\n                  \n                    (ISBN10: 9505470630)\n                  \n              ",
      "ASIN": "\n                9505470630\n              ",
      "editionLanguage": "\n                Spanish\n              "
    },
    {
      "id": 5,
      "cover": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/books/1353984686l/16053513._SX50_.jpg",
      "title": "The Hobbit (Kindle Edition)",
      "url": "/book/show/16053513-the-hobbit",
      "publishDate": "\n            Published February 15th 2012\n              by  Houghton Mifflin Harcourt\n          ",
      "editionInfo": "\n          75th Anniversary Edition - Enhanced Edition, Kindle Edition, 322 pages\n        ",
      "rating": "\n              4.49\n              \n                (9,802 ratings)\n              \n            ",
      "ISBN": "\n                  9780547951966\n                  \n                    (ISBN10: 0547951965)\n                  \n              ",
      "ASIN": "\n                B007978NU6\n              ",
      "editionLanguage": "\n                English\n              "
    },
    {
      "id": 6,
      "cover": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/books/1627646614l/11047558._SX50_.jpg",
      "title": "The Hobbit (Kindle Edition)",
      "url": "/book/show/11047558-the-hobbit",
      "publishDate": "\n            Published April 20th 2009\n              by HarperCollins\n          ",
      "editionInfo": "\n          Kindle Edition, 251 pages\n        ",
      "rating": "\n              4.46\n              \n                (11,291 ratings)\n              \n            ",
      "ISBN": "",
      "ASIN": "\n                B002RI9ZY0\n              ",
      "editionLanguage": "\n                English\n              "
    },
    {
      "id": 7,
      "cover": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/books/1403185960l/15329._SY75_.jpg",
      "title": "The Hobbit (The Lord of the Rings, #0)",
      "url": "/book/show/15329.The_Hobbit",
      "publishDate": "\n            Published July 12th 1986\n              by Del Rey Books\n          ",
      "editionInfo": "\n          Mass Market Paperback, 306 pages\n        ",
      "rating": "\n              4.31\n              \n                (11,464 ratings)\n              \n            ",
      "ISBN": "",
      "ASIN": "",
      "editionLanguage": "\n                English\n              "
    },
    {
      "id": 8,
      "cover": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/books/1439554741l/26098210._SY75_.jpg",
      "title": "The Hobbit (Paperback)",
      "url": "/book/show/26098210-the-hobbit",
      "publishDate": "\n            Published October 27th 2011\n              by Harper Collins\n          ",
      "editionInfo": "\n          75th Anniversary Edition, Paperback, 305 pages\n        ",
      "rating": "\n              4.29\n              \n                (8,139 ratings)\n              \n            ",
      "ISBN": "",
      "ASIN": "\n                B0DT17Q7S1\n              ",
      "editionLanguage": "\n                English\n              "
    },
    {
      "id": 9,
      "cover": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/books/1661030650l/437049._SY75_.jpg",
      "title": "The Hobbit, or There and Back Again (Paperback)",
      "url": "/book/show/437049.The_Hobbit_or_There_and_Back_Again",
      "publishDate": "\n            Published 1999\n              by Houghton Mifflin\n          ",
      "editionInfo": "\n          Paperback, 275 pages\n        ",
      "rating": "\n              4.36\n              \n                (8,907 ratings)\n              \n            ",
      "ISBN": "\n                  9780618002214\n                  \n                    (ISBN10: 0618002219)\n                  \n              ",
      "ASIN": "\n                0618002219\n              ",
      "editionLanguage": "\n                English\n              "
    },
    {
      "id": 10,
      "cover": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/books/1571502511l/42672._SY75_.jpg",
      "title": "The Hobbit (Paperback)",
      "url": "/book/show/42672.The_Hobbit",
      "publishDate": "\n            Published 2006\n              by Harper Collins\n          ",
      "editionInfo": "\n          Paperback, 353 pages\n        ",
      "rating": "\n              4.28\n              \n                (6,302 ratings)\n              \n            ",
      "ISBN": "",
      "ASIN": "\n                B0DSZS9QSC\n              ",
      "editionLanguage": "\n                English\n              "
    }
  ],
  "lastScraped": "2026-06-15T00:42:13Z"
}
```

**SDK Code**

```python
import requests

url = "https://biblioreads.eu.org/api/works/editions"

payload = { "queryURL": "https://www.goodreads.com/work/editions/1540236" }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://biblioreads.eu.org/api/works/editions';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"queryURL":"https://www.goodreads.com/work/editions/1540236"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://biblioreads.eu.org/api/works/editions"

	payload := strings.NewReader("{\n  \"queryURL\": \"https://www.goodreads.com/work/editions/1540236\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://biblioreads.eu.org/api/works/editions")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"queryURL\": \"https://www.goodreads.com/work/editions/1540236\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://biblioreads.eu.org/api/works/editions")
  .header("Content-Type", "application/json")
  .body("{\n  \"queryURL\": \"https://www.goodreads.com/work/editions/1540236\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://biblioreads.eu.org/api/works/editions', [
  'body' => '{
  "queryURL": "https://www.goodreads.com/work/editions/1540236"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://biblioreads.eu.org/api/works/editions");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"queryURL\": \"https://www.goodreads.com/work/editions/1540236\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = ["queryURL": "https://www.goodreads.com/work/editions/1540236"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://biblioreads.eu.org/api/works/editions")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```